OpenTTD Source: LoggedChangeGRFAdd Struct Reference

OpenTTD Source 15.0-RC2

Public Member Functions
LoggedChangeGRFAdd Struct Reference
Inheritance diagram for LoggedChangeGRFAdd:

## Public Member Functions
| LoggedChangeGRFAdd (const GRFIdentifier &ident)
void | FormatTo (std::back_insert_iterator< std::string > &output_iterator, GrfIDMapping &grf_names, GamelogActionType action_type) override
Public Member Functions inherited from LoggedChange
| LoggedChange (GamelogChangeType type=GLCT_NONE)
Public Member Functions inherited from GRFIdentifier
| GRFIdentifier (const GRFIdentifier &other)=default
| GRFIdentifier (GRFIdentifier &&other)=default
| GRFIdentifier (uint32_t grfid, const MD5Hash &md5sum)
GRFIdentifier & | operator= (const GRFIdentifier &other)=default
bool | HasGrfIdentifier (uint32_t grfid, const MD5Hash *md5sum) const
| Does the identification match the provided values?

## Additional Inherited Members
Data Fields inherited from LoggedChange
GamelogChangeType | ct {}
Data Fields inherited from GRFIdentifier
uint32_t | grfid
| GRF ID (defined by Action 0x08)
MD5Hash | md5sum
| MD5 checksum of file to distinguish files with the same GRF ID (eg. newer version of GRF)

## Detailed Description

Definition at line 72 of file gamelog_internal.h.

## Constructor & Destructor Documentation

## ◆ LoggedChangeGRFAdd() [1/2]

LoggedChangeGRFAdd::LoggedChangeGRFAdd | ( |  | ) |
| inline

Definition at line 73 of file gamelog_internal.h.

## ◆ LoggedChangeGRFAdd() [2/2]

LoggedChangeGRFAdd::LoggedChangeGRFAdd | ( | const GRFIdentifier & | ident | ) |
| inline

Definition at line 74 of file gamelog_internal.h.

## Member Function Documentation

## ◆ FormatTo()

void LoggedChangeGRFAdd::FormatTo | ( | std::back_insert_iterator< std::string > & | output_iterator,
|  | GrfIDMapping & | grf_names,
|  | GamelogActionType | action_type
| ) |  |
| overridevirtual

Implements LoggedChange.

Definition at line 230 of file gamelog.cpp.

The documentation for this struct was generated from the following files:

- src/gamelog_internal.h
- src/gamelog.cpp